# [0.1.8] - 2018-11-15

## Added

- Support for Union and TypeCondition filtering

## Changed

Now a resolver of a union type should explicitly define the value of `_typename` on it's return value.

- If the resolver wants to return a `dict` a `_typename` key must be present.
- If the resolver wants to return an `object` (a class instance), a `_typename` attribute should be present.
- If none of the above are present the execution engine infer `_typename` from the class name of the object returned by the resolver.

I.E.

```python
def get_typename(resolver_result):
    try:
        return resolver_result["_typename"]
    except (KeyError, TypeError):
        pass

    try:
        return resolver_result._typename
    except AttributeError:
        pass

    return resolver_result.__class__.__name__
```

## Fixed

- Change the way README.md is read in setup.py for long_description, now file is closed after reading.
